from __future__ import print_function

from dynamico import meshes
from dynamico.meshes import MPAS_Format
from dynamico.dev.numba import int32, float64, store_data

class Unstructured_Mesh(meshes.Unstructured_Mesh):
    def get_data(self):
        return store_data(self,
                   int32,      'primal_num dual_num edge_num',
                   int32[:],   'primal_deg left right',
                   int32[:,:], 'primal_edge primal_ne',
                   float64[:], 'le_de Ai')
